Status: Closed Start date: 03 Feb 2020

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: enhancing/improving Estimated time: 2.01 hours

Target version: CoCoA-5.3.0 Spent time: 1.95 hour

Description

In CoCoALib IsDivisible works for various types of value, including integers.

In CoCoA-5, it expects just a RINGELEM.

Extend it to work with INT too?

History

#1 - 03 Feb 2020 13:42 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

I have been caught out by this myself on several occasions.  I know one can use mod instead, but it is more expressive if one can write

IsDivisible(a,b).

Florian asked me about it today (over lunch).

It should be easy to implement; should we?  Shall we?

#2 - 03 Feb 2020 15:48 - Anna Maria Bigatti

John Abbott wrote:

I have been caught out by this myself on several occasions.  I know one can use mod instead, but it is more expressive if one can write

IsDivisible(a,b).

 

I agree.

So, it is just to add all the compbination of types (somehow) for cocoa-5?

#3 - 03 Feb 2020 16:03 - John Abbott

- % Done changed from 10 to 20

Yes.  I think there are probably just two (main) cases:

RINGELEM and RINGELEM

INT and INT
not so sure about INT and RINGELEM  (or RINGELEM and INT)

#4 - 13 Feb 2020 10:19 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

done

/**/ use QQ[x];

/**/ IsDivisible(9,3);

true

/**/ IsDivisible(9,2);

false

/**/ IsDivisible(9*x,2);  -- 9*x is in QQ[x], so divisible by any constant!!

true

/**/ use ZZ[x];

/**/ IsDivisible(9*x,2);

false

#5 - 13 Feb 2020 15:40 - Anna Maria Bigatti

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

- Estimated time set to 2.01 h

manual done

Powered by TCPDF (www.tcpdf.org)

29 Apr 2024 2/2

http://www.tcpdf.org

